import * as ui from "@minecraft/server-ui";
import { world, system, Vector } from "@minecraft/server";

export function exchange_2() {
    let exchange_2_form = new ui.ActionFormData();
    exchange_2_form.title("§6Machines");
    exchange_2_form.button("§3Heal", "textures/Menu/heal.png");
    exchange_2_form.button("§3BFS", "textures/Menu/bfs.png");
    exchange_2_form.button("§3Smackhands", "textures/Menu/smack.png");
    exchange_2_form.button("§3Slam Cannon", "textures/Menu/slam.png");
    exchange_2_form.button("§3Punk Busters", "textures/Menu/punk.png");
    exchange_2_form.button("§3Boogie Pack", "textures/Menu/boogie.png");
    exchange_2_form.button("§3Rex ride", "textures/Menu/ride.png");

    world.beforeEvents.itemUse.subscribe((eventData) => {
        if (eventData.itemStack?.typeId === 'gr:exchange_2') {
            let player = eventData.source;
            system.run(() => {
                exchange_2_form.show(player).then((result) => {
                    switch (result.selection) {
                        case 0:
                            player.runCommandAsync("function seheal");
                            break;
                        case 1:
                            player.runCommandAsync("function bfss");
                            break;
                        case 2:
                            player.runCommandAsync("function smacks");
                            break;
                        case 3:
                            player.runCommandAsync("function slams");
                            break;
                        case 4:
                            player.runCommandAsync("function busterss");
                            break;
                        case 5:
                            player.runCommandAsync("function packs");
                            break;
                        case 6:
                            player.runCommandAsync("function rides");
                            break;
                    }
                });
            });
        }
    });
}
