import * as ui from "@minecraft/server-ui";
import { world, system } from "@minecraft/server";

export function exchange_1() {
    let exchange_1_form = new ui.ActionFormData();
    exchange_1_form.title("§6Machines");
    exchange_1_form.button("§3Child Form");
    exchange_1_form.button("§3Young Form");
    exchange_1_form.button("§3Clear");

    world.beforeEvents.itemUse.subscribe((eventData) => {
        if (eventData.itemStack?.typeId === 'gr:exchange_1') {
            let player = eventData.source;
            system.run(() => {
                exchange_1_form.show(player).then((result) => {
                    if (result.selection === 0) {
                        player.runCommandAsync("function exchange_2");
                    }
                    if (result.selection === 1) {
                        player.runCommandAsync("function exchange_3");
                    }
                    if (result.selection === 2) {
                        player.runCommandAsync("function limpclear");
                    }
                });
            });
        }
    });
}
