import * as ui from "@minecraft/server-ui";
import { world, system, Vector } from "@minecraft/server";

export function exchange_small_2() {
    let exchange_small_2_form = new ui.ActionFormData();
    exchange_small_2_form.title("Select");
    exchange_small_2_form.button("Random");
    exchange_small_2_form.button("Human");
    exchange_small_2_form.button("Rex");
    exchange_small_2_form.button("Biowulf");
    exchange_small_2_form.button("Skalamander");

    world.beforeEvents.itemUse.subscribe((eventData) => {
        if (eventData.itemStack?.typeId === 'gr:exchange_small_2') {
            let player = eventData.source;
            system.run(() => {
                exchange_small_2_form.show(player).then((result) => {
                    switch (result.selection) {
                        case 0:
                            player.runCommandAsync("function random");
                            break;
                        case 1:
                            player.runCommandAsync("function human");
                            break;
                        case 2:
                            player.runCommandAsync("function rex");
                            break;
                        case 3:
                            player.runCommandAsync("function biowulf");
                            break;
                        case 4:
                            player.runCommandAsync("function skalamander");
                            break;
                    }
                });
            });
        }
    });
}
